com.aliyun.svideosdk.common.struct.effect

## Class ActionRotate

- java.lang.Object
- - ActionRotateBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionRotate

- Deprecated.

      @Deprecated
      public class ActionRotate
      extends ActionRotateBase

  旋转动画 请使用 @see ActionRotateTo 或者 @see ActionRotateBy 代替
  See Also:
    `ActionRotateTo`, `ActionRotateBy`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mClockwise` Deprecated. 是否是顺时针旋转 true顺时针
    `protected float` | `mDurationPerCircle` Deprecated. 旋转一圈的时间
    `protected float` | `mFromDegree` Deprecated. 从什么弧度开始旋转 以弧度为单位
    `protected boolean` | `mRepeat` Deprecated. 是否一直旋转

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRotate()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDurationPerCircle()` Deprecated.
    `boolean` | `isClockwise()` Deprecated. 获取是否顺时针旋转
    `boolean` | `isRepeat()` Deprecated. 获取是否重复播放
    `void` | `setAnimationConfig(java.lang.String animationConfig)` Deprecated.
    `void` | `setClockwise(boolean mClockwise)` Deprecated. 设置顺时针
    `void` | `setDurationPerCircle(long durationPerCircleUs)` Deprecated. 设置旋转一圈的时间
    `void` | `setFromDegree(float mFromDegree)` Deprecated. 起点角度
    `void` | `setRepeat(boolean mRepeat)` Deprecated.
    `void` | `setRepeatCount(int aRepeatCount)` Deprecated.
    `void` | `setRepeatMode(RepeatMode aRepeatMode)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mClockwise

          protected boolean mClockwise

      Deprecated.
      是否是顺时针旋转 true顺时针

    - #### mRepeat

          protected boolean mRepeat

      Deprecated.
      是否一直旋转

    - #### mDurationPerCircle

          protected float mDurationPerCircle

      Deprecated.
      旋转一圈的时间

    - #### mFromDegree

          protected float mFromDegree

      Deprecated.
      从什么弧度开始旋转 以弧度为单位

  - ### Constructor Detail

    - #### ActionRotate

          public ActionRotate()

      Deprecated.

  - ### Method Detail

    - #### isRepeat

          public boolean isRepeat()

      Deprecated.
      获取是否重复播放
      Returns:
        是否重复

    - #### isClockwise

          public boolean isClockwise()

      Deprecated.
      获取是否顺时针旋转
      Returns:
        是否顺时针旋转

    - #### setClockwise

          public void setClockwise(boolean mClockwise)

      Deprecated.
      设置顺时针
      Parameters:
        `mClockwise` -

    - #### setRepeat

          @Deprecated
          public void setRepeat(boolean mRepeat)

      Deprecated.
      设置是否重复播放
      Parameters:
        `mRepeat` -

    - #### setFromDegree

          public void setFromDegree(float mFromDegree)

      Deprecated.
      起点角度
      Parameters:
        `mFromDegree` - 弧度值

    - #### getDurationPerCircle

          public float getDurationPerCircle()

      Deprecated.

    - #### setDurationPerCircle

          public void setDurationPerCircle(long durationPerCircleUs)

      Deprecated.
      设置旋转一圈的时间
      Parameters:
        `durationPerCircleUs` - 单位：微秒

    - #### setRepeatCount

          public void setRepeatCount(int aRepeatCount)

      Deprecated.

    - #### setRepeatMode

          public void setRepeatMode(RepeatMode aRepeatMode)

      Deprecated.

    - #### setAnimationConfig

          @Deprecated
          public void setAnimationConfig(java.lang.String animationConfig)

      Deprecated.